Kerbal Space Program - Bug #16952

Vessels Spawn On Runway Doesn't Align to Runway
12/21/2017 11:57 AM - EthanWang706

Status: New Start date: 12/21/2017
Severity: High % Done: 0%
Assignee:

Category: Buildings

Target version:

Version: 1.3.1 Language: English (US)
Platform: Linux, OSX, PS4, Windows, XBoxOne Mod Related: No
Expansion: Core Game

Description

This bug is here since there is runway... the runway is pointing 90.5 degrees, but vessels spawn is pointing 90 degrees, so if you
don't turn at all, you will be probably goes a bit closer to left side of the runway.

History

#1 - 01/08/2018 02:32 AM - Ruedii

This probably should be addressed in the upcoming runway rework.

#2 - 01/16/2018 02:12 PM - Ruedii
- Severity changed from Critical to High

Marked as high, not critical, because it is at most 1 degree off. It is still a significant problem to the point that it can be disruptive on larger craft that
need the full length of the runway to take off, but it is just not game-breaking.

#3 - 05/01/2018 04:25 PM - bewing
- File runway1.png added
- File runway2.png added

- Expansion Core Game added

Basically, you have the bug completely backwards. The runway is perfectly straight, and correctly aligned within one minute of arc (2 meters at most).
The problem is that all wheeled vehicles pull to the left because of a Unity bug.

Files
runway1.png 2.16 MB 05/01/2018 bewing
runway2.png 2.66 MB 05/01/2018 bewing

04/09/2024 1/1



http://www.tcpdf.org

